<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
          package="com.usai.redant.redantmobile">

    <uses-permission android:name="android.permission.CAMERA"/>
    <uses-permission android:name="android.permission.VIBRATE"/>
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE"/>
    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED"/>
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE"/>
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE"/>
    <uses-permission android:name="android.permission.INTERNET"/>
    <uses-permission android:name="android.permission.CHANGE_CONFIGURATION"/>

    <application
        android:name=".RedAntApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity
            android:name=".ServerSettingActivity"
            android:label="@string/title_activity_service_setting"
            android:screenOrientation="portrait"/>
        <activity
            android:name=".LoginActivity"
            android:label="@string/title_activity_full_screen_login"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.AppCompat.DayNight.NoActionBar">
        </activity>
        <activity
            android:name=".SplashActivity"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen">
            <intent-filter>
                <action android:name="android.intent.action.MAIN"/>

                <category android:name="android.intent.category.LAUNCHER"/>
            </intent-filter>
        </activity>
        <activity
            android:name="com.usai.redant.raimage.MainActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light">

            <!--
             <intent-filter>
            <action android:name="android.intent.action.MAIN" />

            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
            -->
        </activity>
        <activity
            android:name="com.usai.redant.raimage.CaptureActivity"
            android:clearTaskOnLaunch="true"
            android:label="Scan"
            android:screenOrientation="sensorLandscape"
            android:stateNotNeeded="true"
            android:theme="@style/CaptureTheme"
            android:windowSoftInputMode="stateAlwaysHidden">

            <!--
             <intent-filter>
            <action android:name="android.intent.action.MAIN" />

            <category android:name="android.intent.category.LAUNCHER" />
        </intent-filter>
            -->
        </activity>
        <activity
            android:name="com.usai.redant.raimage.UploadQueueActivity"
            android:label="Upload queue"
            android:screenOrientation="sensorLandscape"
            android:theme="@style/CaptureTheme"/>
        <activity
            android:name="com.usai.redant.raimage.PreferencesActivity"
            android:label="@string/preferences_name"
            android:stateNotNeeded="true"/>
        <activity
            android:name="com.usai.redant.raimage.PhotoPreviewActivity"
            android:label="Photo preview"
            android:screenOrientation="sensorLandscape"
            android:windowSoftInputMode="stateHidden|adjustResize"/>

        <receiver android:name="com.usai.redant.raimage.BootReceiver">
            <intent-filter android:priority="2147483647">
                <action android:name="android.intent.action.BOOT_COMPLETED"/>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE"/>
            </intent-filter>
        </receiver>

        <service
            android:name="com.usai.redant.raimage.UploadService"
            android:label="usai upload service">
            <intent-filter>
                <action android:name="com.usai.raimage.uploadservice"/>
            </intent-filter>
        </service>

        <activity
            android:name="com.usai.redant.raimage.AboutActivity"
            android:label="@string/title_activity_about"
            android:screenOrientation="sensorLandscape"/>
        <activity
            android:name="com.usai.redant.raimage.LicenseActivity"
            android:label="@string/title_activity_license"
            android:screenOrientation="sensorLandscape"/>
        <activity
            android:name="com.usai.redant.raimage.ModeActivity"
            android:theme="@style/Base.Theme.AppCompat.Light"/>
        <activity
            android:name="com.usai.redant.raimage.uploadSettingActivity"
            android:theme="@style/Base.Theme.AppCompat.Light"/>
        <activity
            android:name="com.usai.redant.raimage.POP.PopActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light"
            android:windowSoftInputMode="stateHidden|adjustResize"/>
        <activity
            android:name="com.usai.redant.raimage.Model.ModelActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light"
            android:windowSoftInputMode="stateHidden|adjustResize"/>
        <activity
            android:name="com.usai.redant.raimage.PhotoList.PhotoListActivity"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light"/>
        <activity
            android:name="com.usai.redant.raimage.PhotoList.NewPhotoPreviewActivity"
            android:label="@string/app_name"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light"/>
        <activity
            android:name="com.usai.redant.raimage.Model.ManufactureListActivity"
            android:theme="@style/Theme.AppCompat.Light"/>
        <activity
            android:name="com.usai.redant.raimage.UploadList.UploadListActivity"
            android:theme="@style/Theme.AppCompat.Light"/>
        <activity
            android:name="com.usai.redant.raimage.TaskActivity"
            android:theme="@style/Theme.AppCompat.Light"/>
        <activity
            android:name="com.usai.redant.raimage.PhotoList.PhotoGridActivity"
            android:stateNotNeeded="true"
            android:theme="@style/Theme.AppCompat.Light">
        </activity>

        <!-- CommonEditor -->

        <activity
            android:name="com.usai.redant.CommonEditor.CommonEditorActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.ImageUploadActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.ImageViewActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.BundleModelActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.AddressEditorActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.CreditCardEditorActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.ContactListActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.EnumSlectActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.DatePickerActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.MonthPickerActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.SignatureActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>

        <!-- Result -->
        <activity
            android:name="com.usai.redant.Result.SearchResultActivity"
            android:theme="@style/Theme.AppCompat.Light">
            >
        </activity>

        <!-- RedAnt Mobile -->
        <activity
            android:name=".ModeListActivity"
            android:theme="@style/Theme.AppCompat.Light">
        </activity>
        <activity
            android:name="com.usai.redant.Search.RamSearchActivity"
            android:theme="@style/Theme.AppCompat.Light">
        </activity>
        <activity
            android:name="com.usai.redant.Search.RamSearchSettingActivity"
            android:theme="@style/Theme.AppCompat.Light">
        </activity>
        <activity
            android:name="com.usai.redant.CommonEditor.EnumSelectAndSort.EnumSelectAndSortActivity"
            android:theme="@style/Theme.AppCompat.Light">
        </activity>

        <!-- Detail -->
        <activity android:name="com.usai.redant.Detail.KVDetailActivity"
                  android:theme="@style/Theme.AppCompat.Light">
        </activity>
        <activity android:name="com.usai.redant.Detail.OrderDetailActivity"
                  android:theme="@style/Theme.AppCompat.Light">
        </activity>
    </application>

</manifest>